Bug 6850 - Shadow Copy Support for VISTA / Windows 7
Shadow Copy Support for VISTA / Windows 7
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: VFS Modules
unspecified
All Windows 7
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-27 08:46 UTC by Stephan Helas
Modified: 2009-12-01 02:22 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 3.3 (807 bytes, patch)
2009-10-27 09:08 UTC, Volker Lendecke
obnox: review+
Details
Patch for 3.4 (812 bytes, patch)
2009-10-27 09:12 UTC, Volker Lendecke
obnox: review+
Details
FolderName correct (16.48 KB, image/png)
2009-10-27 10:11 UTC, Stephan Helas
no flags Details
Shadow Copy Name on Windows7 (92.55 KB, image/png)
2009-10-27 10:11 UTC, Stephan Helas
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Helas 2009-10-27 08:46:54 UTC
Accessing Shadow Copy Volume with Windows7 doesn't work. 
On Windows XP Configuration works like a charm.

Error Log:

[2009/10/27 14:18:59,  0] smbd/nttrans.c:call_nt_transact_ioctl(1883)
  FSCTL_GET_SHADOW_COPY_DATA: max_data_count(264) too small (268) bytes needed!


Environment:
''''''''''''

Server: CentOS 5
Kernel: Linux CentOS 2.6.18-53.1.21.el5 
Samba: 3.3.9 (rpmbuild with SPEC File)
Volume Format: lvm2

smbd Config: 
[pub]
        path = /opt/pub
        vfs objects = shadow_copy
        guest ok = no
        printable = no
        browseable = yes
        read only = no
        writeable = yes
        directory mode = 0775
        create mask = 0664
        force create mode = 0664
        force directory mode = 0775
        force group = pub
        write list = root @pub
Comment 1 Volker Lendecke 2009-10-27 09:08:51 UTC
Created attachment 4893 [details]
Patch for 3.3

This is fixed in master already. See the attached patch rebased on 3.3.

Volker
Comment 2 Volker Lendecke 2009-10-27 09:12:01 UTC
Created attachment 4894 [details]
Patch for 3.4

Same patch for 3.4.

Volker
Comment 3 Michael Adam 2009-10-27 09:18:39 UTC
Comment on attachment 4894 [details]
Patch for 3.4

ACK for 3.4
Comment 4 Michael Adam 2009-10-27 09:18:59 UTC
Comment on attachment 4893 [details]
Patch for 3.3

ACK for 3.3
Comment 5 Stephan Helas 2009-10-27 10:11:13 UTC
Created attachment 4895 [details]
FolderName correct

Shadow Copy FolderName on Windows XP
Comment 6 Stephan Helas 2009-10-27 10:11:59 UTC
Created attachment 4896 [details]
Shadow Copy Name on Windows7

Wrong Display of FOldername on Windows 7
Comment 7 Stephan Helas 2009-10-27 10:14:48 UTC
Fix works perfectly. But it seams that sometimes Names does not get converted on Windows 7. See Attached ScreenShot. 
Comment 8 Stephan Helas 2009-10-27 10:32:23 UTC
(In reply to comment #7)
> Fix works perfectly. But it seams that sometimes Names does not get converted
> on Windows 7. See Attached ScreenShot. 
> 

On Subdirs, the Nametranslation works. 
it apears only on top Level of the Share. seams to cut the name: pub -> pu

[2009/10/27 16:24:23,  1] smbd/service.c:make_connection_snum(1119)
  c20002 (::ffff:10.204.4.18) connect to service pub initially as user stephanh (uid=1102, gid=1479) (pid 3658)
[2009/10/27 16:24:27,  0] smbd/service.c:make_connection(1292)
  c20002 (::ffff:10.204.4.18) couldn't find service pu
[2009/10/27 16:24:27,  0] smbd/service.c:make_connection(1292)
  c20002 (::ffff:10.204.4.18) couldn't find service pu
Comment 9 Karolin Seeger 2009-10-30 06:58:46 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > Fix works perfectly. But it seams that sometimes Names does not get converted
> > on Windows 7. See Attached ScreenShot. 
> > 
> 
> On Subdirs, the Nametranslation works. 
> it apears only on top Level of the Share. seams to cut the name: pub -> pu
> 
> [2009/10/27 16:24:23,  1] smbd/service.c:make_connection_snum(1119)
>   c20002 (::ffff:10.204.4.18) connect to service pub initially as user stephanh
> (uid=1102, gid=1479) (pid 3658)
> [2009/10/27 16:24:27,  0] smbd/service.c:make_connection(1292)
>   c20002 (::ffff:10.204.4.18) couldn't find service pu
> [2009/10/27 16:24:27,  0] smbd/service.c:make_connection(1292)
>   c20002 (::ffff:10.204.4.18) couldn't find service pu
> 

Volker, is that another issue or does the patch need to be changed?
Comment 10 Volker Lendecke 2009-11-30 16:11:11 UTC
That's a different issue. There has been a thread on one of the mailing lists about that issue lately. It seems that some software on the client causes this.

The patch does fix something, I would like to see this in the next releases.

Is there anything else I can do to get them accepted?

Volker
Comment 11 Volker Lendecke 2009-11-30 16:29:25 UTC
It's not a thread on the mailing lists, it's 

https://bugzilla.samba.org/show_bug.cgi?id=6862

Volker
Comment 12 Karolin Seeger 2009-12-01 02:19:06 UTC
(In reply to comment #1)
> Created an attachment (id=4893) [details]
> Patch for 3.3
> 
> This is fixed in master already. See the attached patch rebased on 3.3.
> 
> Volker
> 

Pushed to v3-3-test.
Comment 13 Karolin Seeger 2009-12-01 02:19:33 UTC
(In reply to comment #2)
> Created an attachment (id=4894) [details]
> Patch for 3.4
> 
> Same patch for 3.4.
> 
> Volker
> 

Pushed to v3-4-test.
Comment 14 Karolin Seeger 2009-12-01 02:22:49 UTC
(In reply to comment #11)
> It's not a thread on the mailing lists, it's 
> 
> https://bugzilla.samba.org/show_bug.cgi?id=6862
> 
> Volker
> 

As this one is closed as INVALID and seems to be a client issue, I will close this bug. Please feel free to reopen if it's still an issue.

Thanks!